<?php

namespace App\Http\Controllers;

use App\Models\DataGaji;
use App\Models\DataGoldar;
use App\Models\DataHobby;
use App\Models\DataJabatan;
use App\Models\DataKewarganegaraan;
use App\Models\DataKlasifikasi;
use App\Models\DataMinat;
use App\Models\DataNegara;
use App\Models\DataPekerjaan;
use App\Models\DataPelayanan;
use App\Models\DataPendidikan;
use App\Models\DataPerkawinan;
use App\Models\DataProfesi;
use App\Models\DataSektor;
use App\Models\DataStatus;
use App\Models\DataStatuskl;
use App\Models\DataWilayah;
use Illuminate\Http\Request;

class DataController extends Controller
{
    public function data(){
        $data = DataSektor::get();
        $data2 = DataWilayah::get();
        $data3 = DataGaji::get();
        $data4 = DataMinat::get();
        $data5 = DataGoldar::get();
        $data6 = DataHobby::get();
        $data7 = DataJabatan::get();
        $data8 = DataKewarganegaraan::get();
        $data9 = DataKlasifikasi::get();
        $data10 = DataNegara::get();
        $data11 = DataPekerjaan::get();
        $data12 = DataPelayanan::get();
        $data13 = DataPendidikan::get();
        $data14 = DataPerkawinan::get();
        $data15 = DataProfesi::get();
        $data16 = DataStatus::get();
        $data17 = DataStatuskl::get();
        return response()->json(array(
            'sektor' => $data,
            'wilayah' => $data2,
            'gaji' => $data3,
            'minat' => $data4,
            'goldar' => $data5,
            'hobby' => $data6,
            'jabatan' => $data7,
            'kewarganegaraan' => $data8,
            'klasifikasi' => $data9,
            'negara' => $data10,
            'pekerjaan' => $data11,
            'pelayanan' => $data12,
            'pendidikan' => $data13,
            'perkawinan' => $data14,
            'profesi' => $data15,
            'status' => $data16,
            'statusKeluarga' => $data17
        ));
    }
}
